#include <qapplication.h>
#include <qpushbutton.h>
#include <qlabel.h>
#include <qfont.h>
#include <qlayout.h>
#include <qstring.h>

#include "painter.h"
#include "board.h"


Painter::Painter( QWidget *parent, const char *name )
        : QWidget( parent, name )
{
    setMinimumSize( 500, 355 );

    QPushButton *quit = new QPushButton( "Quit", this, "quit" );
    quit->setFont( QFont( "Times", 18, QFont::Bold ) );
    connect( quit, SIGNAL(clicked()), qApp, SLOT(quit()) );

    drawingBoard = new DrawingBoard( this, "drawingBoard" );
	connect( drawingBoard, SIGNAL(changePos()), SLOT(newPosition( )) );

    QGridLayout *grid = new QGridLayout( this, 1, 2, 5 ); //2x2, 5 pixel border
    grid->addWidget( drawingBoard, 0, 1 );
    grid->setColStretch( 1, 10 );

    messpos = new QLabel( this, "messagepos"  );
    messpos->setMaximumHeight( 20 );
    messpos->setFrameStyle( QFrame::WinPanel | QFrame::Sunken );
    messpos->setBackgroundColor( messpos->colorGroup().base() );
    messpos->setAlignment( AlignCenter );

	QVBoxLayout *leftBox = new QVBoxLayout;
	grid->addLayout( leftBox, 0, 0 );
	leftBox->addWidget( quit );
	leftBox->addWidget( messpos );

}

void Painter::newPosition( )
{
	int mx, my;

	drawingBoard->getPosition( &mx, &my );
	// mx = drawingBoard->getXPos ( );
	// my = drawingBoard->getYPos ( );
	// mx = 5; my = 7;
    QString s;
	messpos->setText( s.sprintf("%d,%d", mx, my ) );

}
